/**
 * workflow-header.js
 */

'use strict';

export default class Header extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
    this.onHeaderClick = this.onHeaderClick.bind(this);
  }

  render() {
    return dom('header', {className: 'process-header', onClick: this.onHeaderClick},
      dom('span', null, this.props.meta.name)
    );
  }

  onHeaderClick(){
    this.props.emit('selectprocess');
  }
}